@import url("https://fonts.googleapis.com/css2?family=Jersey+25&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Hind:wght@300;400;500;600;700&family=Jersey+25&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Hind:wght@300;400;500;600;700&family=Jersey+25&family=Jost:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Hind:wght@300;400;500;600;700&family=Jersey+25&family=Jost:ital,wght@0,100..900;1,100..900&display=swap");
*,
*::after,
*::before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
:root {
  scroll-behavior: smooth;
  --background-color: #aec9ff;
  --footer-background-color: #7b93c4;
  --main-font: "Jersey 25", sans-serif;
  --paragraph-font: "Jost", cursive;
  --modal-font: "Hind", sans-serif;
  --text-white: #ffffff;
  --btn-floor: #4d88ff;
  --btn-floor-hover: #3367d1;
  --btn-on: #4fc765;
  --btn-on-hover: #35a94b;
  --unActive-device: #848080;
  --active-device: #4fc765;
  --border-channel: #bdbdbd;
  --text-black: #000000;
  --background-footer: #ccc;
  --checker-input: #4caf50;
  --modal-close: #555;
  --modal-title: #333;
  --modal-header: #eee;
  --btn-background: #ff4d4d;
  --btn-floor-modal: #cc0000;
  --floor-room: #e0e0e0;
  --floor-room-stroke: #555;
  --floor-room-hover: #d0d0d0;
  --floor-room-active: #fff9c4;
  --floor-room-active-stroke: #fbc02d;
}
img {
  display: block;
  max-width: 100%;
}
body {
  background-color: var(--background-color);
  margin: 0;
  font-family: var(--main-font);
  font-weight: 400;
}
#header,
#header-controls {
  display: flex;
  flex: 1;
  margin: 15px auto;
  justify-content: space-between;
  align-items: center;
  flex-direction: column;
  max-width: 1600px;
  width: 100%;

  padding: 0 20px;
  @media (min-width: 720px) {
    flex-direction: row;
  }
  #header-logo {
    flex: 1;
    display: flex;
    justify-content: flex-start;
    #header-home-icon {
      height: 65px;
      width: 65px;
    }
  }
  #header-title {
    flex: 0 auto;
    text-align: center;
    #header-title__text {
      color: var(--text-white);
      font-size: 60px;
      white-space: nowrap;
    }
  }
  #header-buttons {
    flex: 1;
    display: flex;
    justify-content: flex-end;
    #room-select {
      font-size: 20px;
      width: auto;
      min-width: 150px;
      cursor: pointer;
    }
  }
}

#main {
  padding-bottom: 70px;
  margin: 0 10px;
  #top-panel {
    max-width: 1600px;
    margin: 0 20px;
    padding: 20px;

    border-radius: 50px;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    gap: 15px;
    @media (min-width: 720px) {
      flex-direction: row;
      width: 100%;
      margin: 0 auto;
    }
    #general-statistic {
      #general-power-label {
        font-size: 25px;
      }
    }
    #detailed-statistics {
      #floor-plan-wrapper {
        #btn-floor-plan {
          color: var(--text-white);
          border: none;
          background-color: var(--btn-floor);
          padding: 20px 27px;
          border-radius: 19px;
          font-family: var(--main-font);
          font-size: 21px;
          @media (min-width: 720px) {
            margin-left: -42px;
          }
        }
        #btn-floor-plan:hover {
          background-color: var(--btn-floor-hover);
        }
      }
    }
    #todo-button {
      #add-device-wrapper {
        #btn-add-device {
          color: var(--text-white);
          border: none;
          background-color: var(--btn-on);
          padding: 20px 27px;
          border-radius: 19px;
          font-family: var(--main-font);
          font-size: 21px;
        }
        #btn-add-device:hover {
          background-color: var(--btn-on-hover);
        }
      }
    }
  }
  #devices {
    margin: 40px auto;
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: left;
    max-width: 1600px;
    width: 100%;
    @media (min-width: 720px) {
      flex-direction: row;
    }
    .device {
      padding: 15px 40px 25px;
      margin: 0 10px;
      border: 4px solid;
      border-color: var(--unActive-device);
      border-radius: 49px;
      background-color: var(--text-white);
      font-family: var(--paragraph-font);
      height: 300px;
      width: 250px;
      /*  min*/
      .device__remove {
        display: flex;
        justify-content: flex-end;
        .device__remove-icon {
          height: 15px;
        }
      }
      .device__header {
        margin-bottom: 7px;
        .device__name {
          font-family: var(--main-font);
          text-align: center;
          font-size: 25px;
        }
        .device__divider {
          /*color: var(--text-black);*/
          border: 1px solid var(--text-black);
        }
      }
      .device__info {
        .device__power {
          .device__power-content {
            font-weight: 500;
          }
        }
      }
      .device__details {
        display: flex;
        flex-direction: column;
        .bright-range {
          width: 100%;
          background: transparent;
          margin: 0;
          padding: 0;
        }
        .temp-range {
          width: 100%;
          background: transparent;
          margin: 0;
          padding: 0;
        }

        .device__details-content {
          display: flex;
          flex-direction: row;
          .device__details-btn {
            margin-left: 12px;
            .btn-volume-down,
            .btn-volume-up {
              text-align: center;
              color: var(--text-white);
              background-color: var(--btn-floor);
              border: none;
              border-radius: 7px;
              height: 20px;
              width: 20px;
            }
            .btn-volume-down:hover,
            .btn-volume-up:hover {
              background-color: var(--btn-floor-hover);
            }
          }
        }
        .current-channel {
          text-align: center;
          margin: 7px 0;
          padding: 10px;
          border-radius: 10px;
          border: 2px solid var(--border-channel);
        }
        .device__details-control {
          .btn-channel-prev,
          .btn-channel-next {
            text-align: center;
            color: var(--text-white);
            background-color: var(--btn-floor);
            border: none;
            border-radius: 7px;
            height: 27px;
            width: 50px;
          }
          .btn-channel-prev:hover,
          .btn-channel-next:hover {
            background-color: var(--btn-floor-hover);
          }
        }
      }
      .device__status {
        .device__power-button {
          text-align: center;
          margin: 10px 0;
          border: none;
          width: 100%;
          padding: 7px 0;
          background-color: red;
          border-radius: 7px;
          color: var(--text-white);
          font-family: var(--main-font);
          font-size: 20px;
        }
      }
    }
  }
}
#footer {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: var(--footer-background-color);
  padding: 15px 0;
  text-align: center;
  z-index: 1000;
  font-size: 20px;
  box-shadow: 0px -2px 10px rgba(0, 0, 0, 0.1);
  gap: 15px;
  @media (min-width: 720px) {
    flex-direction: row;
    font-size: 25px;
    gap: 40px;
    padding: 25px 0;
  }
  #electricity-toggle,
  #water-toggle {
    display: flex;
    align-items: center;
    gap: 10px;
  }
  .switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 24px;
    flex-shrink: 0;
  }

  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }

  .slider {
    position: absolute;
    cursor: pointer;
    background-color: var(--background-footer);
    border-radius: 24px;
    width: 100%;
    height: 100%;
    transition: background-color 0.3s;
    top: 0;
    left: 0;
  }

  .slider::before {
    content: "";
    position: absolute;
    height: 18px;
    width: 18px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    border-radius: 50%;
    transition: transform 0.3s;
  }

  .switch input:checked + .slider {
    background-color: var(--checker-input);
  }

  .switch input:checked + .slider::before {
    transform: translateX(26px);
  }
}
#modal-dialog {
  margin: auto;
  padding: 0;
  border: none;
  background: transparent;
  max-width: 90vw;
}

#modal-dialog::backdrop {
  background-color: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(3px);
}

#add-device-window {
  background-color: var(--text-white);
  padding: 30px;
  border-radius: 15px;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
  width: 300px;
  display: flex;
  flex-direction: column;
  gap: 15px;
  position: relative;
}

#modal-close-btn {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 24px;
  font-weight: bold;
  cursor: pointer;
  color: var(--modal-close);
  line-height: 1;
}

#modal-close-btn:hover {
  color: red;
}

#modal-title {
  margin: 0;
  text-align: center;
  color: var(--modal-title);
  font-family: var(--main-font);
  font-size: 25px;
  margin-bottom: 10px;
}
label {
  font-family: var(--modal-font);
  font-weight: bold;
  font-size: 17px;
  color: var(--modal-title);
}

input,
select {
  padding: 8px;
  border: 2px solid var(--background-footer);
  border-radius: 5px;
  font-size: 16px;
  width: 100%;
  box-sizing: border-box;
}
#save-device-btn {
  margin-top: 10px;
  padding: 12px;
  background-color: var(--btn-floor);
  color: white;
  border: none;
  border-radius: 5px;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.2s;
}
#save-device-btn:hover {
  background-color: var(--btn-floor-hover);
}
#floor-plan-dialog {
  border: none;
  border-radius: 20px;
  padding: 0;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);

  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  overflow: hidden;

  width: 95%;
  max-width: 620px;
  max-height: 90vh;
}
#floor-plan-dialog::backdrop {
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(3px);
}
.floor-plan-container {
  background: white;
  padding: 20px;
  text-align: center;
  font-family: "Segoe UI", sans-serif;
  width: 100%;
  box-sizing: border-box;
}
.modal-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
  padding-bottom: 10px;
  border-bottom: 1px solid var(--modal-header);
}
.modal-header h2 {
  margin: 0;
  color: var(--modal-title);
  font-size: 15px;
  @media (min-width: 720px) {
    font-size: 23px;
  }
}
.close-btn1 {
  background: var(--btn-background);
  color: white;
  border: none;
  border-radius: 5px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  font-weight: bold;
  font-size: 16px;
  transition: background 0.2s;
}
.close-btn1:hover {
  background: var(--btn-floor-modal);
}
.room-zone {
  cursor: pointer;
}
.room-shape {
  fill: var(--floor-room);
  stroke: var(--floor-room-stroke);
  stroke-width: 2;
  transition: fill 0.3s ease;
  display: flex;
  flex-direction: column;
}

.room-zone:hover .room-shape {
  fill: var(--floor-room-hover);
}

.room-zone.active .room-shape {
  fill: var(--floor-room-active);
  stroke: var(--floor-room-active-stroke);
}

.room-label,
.room-power,
.bulb-icon {
  pointer-events: none;
  user-select: none;
}
.centered-text {
  text-anchor: middle;
  dominant-baseline: middle;
  font-weight: bold;
  fill: var(--modal-title);
  pointer-events: none;
}
.room-subtext {
  text-anchor: middle;
  dominant-baseline: middle;
  font-size: 14px;
  fill: var(--modal-close);
  pointer-events: none;
}
.apartment-map {
  font-size: 20px;
  @media (min-width: 720px) {
    font-size: 20px;
  }
  .room-subtext {
    font-size: 20px;
    @media (min-width: 720px) {
      font-size: 20px;
    }
  }
}
body:has(dialog[open]) {
  overflow: hidden;
}
